//------------------------------------------------------------------------------
//      OUTRA BIBLIOTECA PARA LCD PARA LAUNCHPAD MSP430
//           BASEADA NA ORIGINAL DO ARDUINO EM C
//             ADAPTADA PARA O PORTUGUES POR
//                  FRANCISCO FAMBRINI
//                    DATA: 9/10/2011
//                  ffambrini@gmail.com
//                        VERSAO 1.0
//------------------------------------------------------------------------------
#include <msp430.h>
#include "HD44780LIB.h"  // Library derivada do Arduino
HD44780 theHD44780;

const char msg1[] = "MSP430  Fambrini";
const char msg2[] = "Library Arduino" ;

void  __delay_cycles(unsigned long int t);


int main(){
  
WDTCTL = WDTPW | WDTHOLD;  // desliga WDT
		
 // Para configurar os pinos do LCD use a seguinte
//  HD44780_init( &theHD44780, RS , E , d4, d5, d6, d7 );

HD44780_init(&theHD44780 , 2 , 3 , 4, 5, 6, 7 );  //configura os pinos do LCD

HD44780_begin(&theHD44780,16, 2);        // 16 COLUNAS E 2 LINHAS

//  Para posicionar o cursor use:
//  HD44780_setCursor (&theHD44780, uint8_t col, uint8_t row))

   while(1){  
            HD44780_setCursor (&theHD44780, 1, 1 );     //posiciona o cursor do LCD 
            HD44780_print_string(&theHD44780, msg1);
            HD44780_setCursor (&theHD44780, 1, 2 );  
            HD44780_print_string(&theHD44780, msg2);     
            __delay_cycles(1000000);
}

  }//main

